Ошибки При Обновлении 4.3.3.sp1 - 4.3.4


#41

Всем здравствуйте снова. Купил подписку на обновление, но обновление не устанавливается - (Ошибка при валидации

Проверка «Восстановить» завершилась неудачно
Файл

Невозможно подготовить скрипт восстановления.)

Ребят подскажите пожалуйста где посмотреть причину этой ошибки?


#42

Всем здравствуйте снова. Купил подписку на обновление, но обновление не устанавливается - (Ошибка при валидации

Проверка «Восстановить» завершилась неудачно
Файл

Невозможно подготовить скрипт восстановления.)

Ребят подскажите пожалуйста где посмотреть причину этой ошибки?

Посмотрите тут

http://forum.cs-cart.com/topic/42411-%D0%BE%D1%88%D0%B8%D0%B1%D0%BA%D0%B8-%D0%BF%D1%80%D0%B8-%D0%BE%D0%B1%D0%BD%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B8-433sp1-434/#entry246858


#43

Всем здравствуйте снова. Купил подписку на обновление, но обновление не устанавливается - (Ошибка при валидации

Проверка «Восстановить» завершилась неудачно
Файл

Невозможно подготовить скрипт восстановления.)

Ребят подскажите пожалуйста где посмотреть причину этой ошибки?

Такая же ошибка появилась, после того как установил сертификат SSL.

Решение - чтобы обновиться, отключил SLL, обновил магазин, включил SSL обратно))


#44

В версии 4.3.х появилась проверка на доступность скрипта restore.php по прямой ссылке. Проверка выполняется curl запросом. Проверка нужна для того чтобы убедиться, что ссылка на аварийный откат обновления будет работать, поэтому если она не проходит скрипт не дает установить обновление.

Валидация может не проходить из-за:

- отсутствия .htaccess скрипта в директории var/upgrade

Подскажите содержимое файла .htaccess для доступа к var/upgrade


#45

Подскажите содержимое файла .htaccess для доступа к var/upgrade


    Order Allow,Deny
    Allow from all


#46

Здравствуйте, не буду плодить темы, спрошу здесь.

Вчера пытались обновиться с 4.6.2 на 4.6.3 выдало ошибку

Ошибка при валидации

Проверка «Восстановить» завершилась неудачно

Невозможно подготовить скрипт восстановления.

сразу после нажатия кнопки Установить.

Испробовали все предложенные здесь варианты, но ничего не помогло. До этого все обновления ставились без проблем.

Как нибудь можно еще попробовать решитьпроблему или только через ТП cs-cart?


#47

Здравствуйте, не буду плодить темы, спрошу здесь.

Вчера пытались обновиться с 4.6.2 на 4.6.3 выдало ошибку

Ошибка при валидации

Проверка «Восстановить» завершилась неудачно

Невозможно подготовить скрипт восстановления.

сразу после нажатия кнопки Установить.

Испробовали все предложенные здесь варианты, но ничего не помогло. До этого все обновления ставились без проблем.

Как нибудь можно еще попробовать решитьпроблему или только через ТП cs-cart?

Посмотрите ошибку в логе обновления (var/upgrade/core_log.txt) и попробуйте открыть ссылку из ошибки в браузере. Напишите сюда о результате


#48

Посмотрите ошибку в логе обновления (var/upgrade/core_log.txt) и попробуйте открыть ссылку из ошибки в браузере. Напишите сюда о результате

В логах ядра

2018-01-24 19:28:20: Starting installation of the "core" upgrade package
2018-01-24 19:28:20: Upgrading version 4.6.2 to 4.6.3
2018-01-24 19:28:20: Running as user "atlanta17"
2018-01-24 19:28:20: Storing entry point files permissions...
2018-01-24 19:28:20: index.php ==> 33206 (-rw-rw-rw-)
2018-01-24 19:28:20: adminka.php ==> 33188 (-rw-r--r--)
2018-01-24 19:28:20: api.php ==> 33188 (-rw-r--r--)
2018-01-24 19:28:20:  ==> 16877 (drwxr-xr-x)
2018-01-24 19:28:20: Executing pre-upgrade validators
2018-01-24 19:28:20: Found 0 validators at package
2018-01-24 19:28:20: Executing "collisions" validator
2018-01-24 19:28:20: Executing "permissions" validator
2018-01-24 19:28:20: Executing "restore" validator
2018-01-24 19:28:20: Backup filename is "upg_core_4.6.2-4.6.3_24Jan2018_192820"
2018-01-24 19:28:20: Preparing restore script
2018-01-24 19:28:20: Upgrades directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Source restore script permissions: -rwxr-x--- atlanta17:customers
2018-01-24 19:28:20: Directory "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/" for restore script already created
2018-01-24 19:28:20: Created restore script at "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/restore_2018-01-24_19-28-20.php"
2018-01-24 19:28:20: Restore script permissions: -rw-r--r-- atlanta17:customers
2018-01-24 19:28:20: Correcting target restore script directory permissions...
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Changing permissions of "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/" to 755
2018-01-24 19:28:20: Using chmod()... OK
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Target restore script directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Correcting upgrades directory permissions...
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Changing permissions of "/home/a/atlanta17/public_html/upgrades" to 755
2018-01-24 19:28:20: Using chmod()... OK
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Upgrades directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Checking restore script availability via HTTP
2018-01-24 19:28:20: Restore script is NOT available via HTTP at "http://atlanta-service.ru/upgrades/core_4.6.2-4.6.3/restore_2018-01-24_19-28-20.php".
2018-01-24 19:28:20: Upgrade stopped: unable to prepare restore file.

По ссылке отображает "Access denied"


#49

Похоже проблема связана с работой curl на вашем сервере. Попробуйте создать тестовый скрипт в директории с установкой, который отправлял бы запрос на этот URL через curl. В теле ответа должно быть только Access denied

Или напишите нам через Help desk и предоставьте доступ к серверу, чтобы мы смогли изучить проблему.

В логах ядра

2018-01-24 19:28:20: Starting installation of the "core" upgrade package
2018-01-24 19:28:20: Upgrading version 4.6.2 to 4.6.3
2018-01-24 19:28:20: Running as user "atlanta17"
2018-01-24 19:28:20: Storing entry point files permissions...
2018-01-24 19:28:20: index.php ==> 33206 (-rw-rw-rw-)
2018-01-24 19:28:20: adminka.php ==> 33188 (-rw-r--r--)
2018-01-24 19:28:20: api.php ==> 33188 (-rw-r--r--)
2018-01-24 19:28:20:  ==> 16877 (drwxr-xr-x)
2018-01-24 19:28:20: Executing pre-upgrade validators
2018-01-24 19:28:20: Found 0 validators at package
2018-01-24 19:28:20: Executing "collisions" validator
2018-01-24 19:28:20: Executing "permissions" validator
2018-01-24 19:28:20: Executing "restore" validator
2018-01-24 19:28:20: Backup filename is "upg_core_4.6.2-4.6.3_24Jan2018_192820"
2018-01-24 19:28:20: Preparing restore script
2018-01-24 19:28:20: Upgrades directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Source restore script permissions: -rwxr-x--- atlanta17:customers
2018-01-24 19:28:20: Directory "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/" for restore script already created
2018-01-24 19:28:20: Created restore script at "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/restore_2018-01-24_19-28-20.php"
2018-01-24 19:28:20: Restore script permissions: -rw-r--r-- atlanta17:customers
2018-01-24 19:28:20: Correcting target restore script directory permissions...
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Changing permissions of "/home/a/atlanta17/public_html/upgrades/core_4.6.2-4.6.3/" to 755
2018-01-24 19:28:20: Using chmod()... OK
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Target restore script directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Correcting upgrades directory permissions...
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Changing permissions of "/home/a/atlanta17/public_html/upgrades" to 755
2018-01-24 19:28:20: Using chmod()... OK
2018-01-24 19:28:20: ----------
2018-01-24 19:28:20: Upgrades directory permissions: drwxr-xr-x atlanta17:customers
2018-01-24 19:28:20: Checking restore script availability via HTTP
2018-01-24 19:28:20: Restore script is NOT available via HTTP at "http://atlanta-service.ru/upgrades/core_4.6.2-4.6.3/restore_2018-01-24_19-28-20.php".
2018-01-24 19:28:20: Upgrade stopped: unable to prepare restore file.

По ссылке отображает "Access denied"


#50

Такая же проблема, как решилась, отпишитесь кто нибудь


#51

У вас такая же проблема с работой curl на сервере. Обратитесь к администратору сервера для ее решения. Для проверки можно использовать тестовый скрипт (см. предыдущий ответ)


#52

В общем, кто ищет проблему, и ее решение по логам
“2018-01-24 19:28:20: Checking restore script availability via HTTP
2018-01-24 19:28:20: Restore script is NOT available via HTTP at “http://atlanta-service.ru/upgrades/core_4.6.2-4.6.3/restore_2018-01-24_19-28-20.php”.
2018-01-24 19:28:20: Upgrade stopped: unable to prepare restore file.”
Проблема решается следующим образом. Скорее всего у вас на сайте домен прикреплен к выделенному серверу или же VPS. В данном случае вам надо направить домен не только по IP адресу, а изменить еще тип записи АААА с корректным ipv6 адресом сервера в настройках домена. Надеюсь поможет кому.